#
# spec file for package PfaEdit (Version 010905)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg libpng libtiff libungif xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         PfaEdit
Copyright:    BSD
Group:        Applications/Publishing
Autoreqprov:  on
Version:      010905
Release:      31
URL:          http://pfaedit.sourceforge.net/
# Original source: http://pfaedit.sourceforge.net/pfaedit_src-%{version}.tgz
Source0:      http://pfaedit.sourceforge.net/pfaedit_src-%{version}.tar.bz2
# Original source: http://pfaedit.sourceforge.net/libgunicode-010808.tgz
Source1:      http://pfaedit.sourceforge.net/libgunicode-010808.tar.bz2
# Original source: http://pfaedit.sourceforge.net/libgdraw-010905.tgz
Source2:      http://pfaedit.sourceforge.net/libgdraw-010905.tar.bz2
# Original source: http://pfaedit.sourceforge.net/cidmaps.tgz
Source3:      http://pfaedit.sourceforge.net/cidmaps.tar.bz2
Source4:      fficon.gif
BuildRoot:    %{_tmppath}/%{name}-root/
BuildPreReq:  xf86 libjpeg libtiff libpng libungif
Summary:      A PostScript font editor

%description
PfaEdit allows you to edit outline and bitmap fonts.  You can create
new ones or modify old ones.  It is also a font format converter and
can convert among PostScript (ASCII & binary Type 1, some Type 3s,
some Type 0s), TrueType, OpenType (Type2) and CID-keyed fonts.

Authors:
--------
    George Williams <gww@silcom.com> 
    Scott Pakin <pakin@uiuc.edu>

SuSE series: ap

%prep
%setup -T -n pfaedit -b 0 -b 1 -b 2 -a 3

%build
%{?suse_update_config}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    %{_target_cpu}-suse-linux
make 

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p ${RPM_BUILD_ROOT}{%{_bindir},%{_mandir}/man1,/usr/share/pfaedit}
make -e bindir=$RPM_BUILD_ROOT/usr/bin \
        sharedir=$RPM_BUILD_ROOT/usr/share/pfaedit \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	install
# install CMaps to be able to edit CID-keyed fonts:
install -m 644 Adobe* $RPM_BUILD_ROOT/usr/share/pfaedit

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README AUTHORS COPYING INSTALL NEWS
%{_bindir}/pfaedit
/usr/share/pfaedit/
%doc %{_mandir}/man1/pfaedit.1*

%changelog -n PfaEdit
